/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TRACE_DNSMASQ_BPF_SKEL_H__
#define __TRACE_DNSMASQ_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct trace_dnsmasq_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *dns_query_link_map;
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *ubpf_send_from;
	} progs;
	struct {
		struct bpf_link *ubpf_send_from;
	} links;
	struct trace_dnsmasq_bpf__rodata {
	} *rodata;

#ifdef __cplusplus
	static inline struct trace_dnsmasq_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct trace_dnsmasq_bpf *open_and_load();
	static inline int load(struct trace_dnsmasq_bpf *skel);
	static inline int attach(struct trace_dnsmasq_bpf *skel);
	static inline void detach(struct trace_dnsmasq_bpf *skel);
	static inline void destroy(struct trace_dnsmasq_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
trace_dnsmasq_bpf__destroy(struct trace_dnsmasq_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
trace_dnsmasq_bpf__create_skeleton(struct trace_dnsmasq_bpf *obj);

static inline struct trace_dnsmasq_bpf *
trace_dnsmasq_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct trace_dnsmasq_bpf *obj;
	int err;

	obj = (struct trace_dnsmasq_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = trace_dnsmasq_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	trace_dnsmasq_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct trace_dnsmasq_bpf *
trace_dnsmasq_bpf__open(void)
{
	return trace_dnsmasq_bpf__open_opts(NULL);
}

static inline int
trace_dnsmasq_bpf__load(struct trace_dnsmasq_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct trace_dnsmasq_bpf *
trace_dnsmasq_bpf__open_and_load(void)
{
	struct trace_dnsmasq_bpf *obj;
	int err;

	obj = trace_dnsmasq_bpf__open();
	if (!obj)
		return NULL;
	err = trace_dnsmasq_bpf__load(obj);
	if (err) {
		trace_dnsmasq_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
trace_dnsmasq_bpf__attach(struct trace_dnsmasq_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
trace_dnsmasq_bpf__detach(struct trace_dnsmasq_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *trace_dnsmasq_bpf__elf_bytes(size_t *sz);

static inline int
trace_dnsmasq_bpf__create_skeleton(struct trace_dnsmasq_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "trace_dnsmasq_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 6;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "dns_query_link_map";
	s->maps[0].map = &obj->maps.dns_query_link_map;

	s->maps[1].name = "__probe_match_map";
	s->maps[1].map = &obj->maps.__probe_match_map;

	s->maps[2].name = "cgrp_obj_map";
	s->maps[2].map = &obj->maps.cgrp_obj_map;

	s->maps[3].name = "nm_obj_map";
	s->maps[3].map = &obj->maps.nm_obj_map;

	s->maps[4].name = "proc_obj_map";
	s->maps[4].map = &obj->maps.proc_obj_map;

	s->maps[5].name = "trace_dn.rodata";
	s->maps[5].map = &obj->maps.rodata;
	s->maps[5].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ubpf_send_from";
	s->progs[0].prog = &obj->progs.ubpf_send_from;
	s->progs[0].link = &obj->links.ubpf_send_from;

	s->data = (void *)trace_dnsmasq_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *trace_dnsmasq_bpf__elf_bytes(size_t *sz)
{
	*sz = 6648;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x16\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x0d\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xf8\xff\0\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\x7b\
\x2a\xe8\xff\0\0\0\0\x7b\x2a\xe0\xff\0\0\0\0\x7b\x2a\xd8\xff\0\0\0\0\x63\x2a\
\xd0\xff\0\0\0\0\x7b\x2a\xc8\xff\0\0\0\0\x7b\x2a\xc0\xff\0\0\0\0\x7b\x2a\xb8\
\xff\0\0\0\0\x7b\x2a\xb0\xff\0\0\0\0\x7b\x2a\xa8\xff\0\0\0\0\x7b\x2a\xa0\xff\0\
\0\0\0\x7b\x2a\x98\xff\0\0\0\0\x7b\x2a\x90\xff\0\0\0\0\x7b\x2a\x88\xff\0\0\0\0\
\x7b\x2a\x80\xff\0\0\0\0\x7b\x2a\x78\xff\0\0\0\0\x7b\x2a\x70\xff\0\0\0\0\x7b\
\x2a\x68\xff\0\0\0\0\x7b\x2a\x60\xff\0\0\0\0\x7b\x2a\x58\xff\0\0\0\0\x7b\x2a\
\x50\xff\0\0\0\0\x7b\x2a\x48\xff\0\0\0\0\x7b\x2a\x40\xff\0\0\0\0\x79\x16\x40\0\
\0\0\0\0\x79\x17\x48\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfa\xff\xff\xff\
\xb7\x02\0\0\x02\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x70\0\0\0\x69\xa3\xfa\xff\
\0\0\0\0\x15\x03\x11\0\x0a\0\0\0\x55\x03\x22\0\x02\0\0\0\xbf\x73\0\0\0\0\0\0\
\x07\x03\0\0\x04\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xd8\xff\xff\xff\xb7\x02\
\0\0\x04\0\0\0\x85\0\0\0\x70\0\0\0\x07\x07\0\0\x02\0\0\0\xbf\xa1\0\0\0\0\0\0\
\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x02\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\
\0\x70\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xe8\xff\xff\xff\xb7\x02\0\0\x04\0\
\0\0\x05\0\x0f\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\x08\0\0\0\xbf\xa1\0\0\
\0\0\0\0\x07\x01\0\0\xd8\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\x85\0\0\0\x70\0\0\0\
\x07\x07\0\0\x02\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\
\0\0\x02\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x70\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xe8\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\
\x70\0\0\0\x05\0\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\
\x20\0\0\0\x85\0\0\0\x06\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x63\x0a\
\x40\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x44\xff\xff\xff\xb7\x02\0\0\
\x10\0\0\0\x85\0\0\0\x10\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\xff\xff\xff\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\x40\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\x3d\x3d\x3d\x20\x69\x70\x5f\x73\x74\x72\x20\x66\x61\x6d\x69\
\x6c\x79\x3a\x25\x64\x20\x61\x62\x6e\x6f\x72\x6d\x61\x6c\x2e\x0a\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x2c\x05\0\0\x2c\x05\0\0\xdb\x05\0\0\0\0\0\
\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x24\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x94\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\0\x40\x01\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\
\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\
\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xe8\x03\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\
\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x51\0\0\
\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x15\0\0\0\x40\0\0\0\x27\0\0\0\x17\0\0\
\0\x80\0\0\0\x32\0\0\0\x19\0\0\0\xc0\0\0\0\x63\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\
\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x15\0\
\0\0\x40\0\0\0\x27\0\0\0\x17\0\0\0\x80\0\0\0\x32\0\0\0\x19\0\0\0\xc0\0\0\0\x70\
\0\0\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x17\0\0\0\x40\0\0\0\x27\0\0\0\x17\0\0\0\x80\0\0\0\
\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x7b\0\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x22\0\0\0\x88\0\0\0\x15\0\0\x04\xa8\0\0\0\x90\0\0\0\x23\0\0\0\0\0\0\
\0\x94\0\0\0\x23\0\0\0\x40\0\0\0\x98\0\0\0\x23\0\0\0\x80\0\0\0\x9c\0\0\0\x23\0\
\0\0\xc0\0\0\0\xa0\0\0\0\x23\0\0\0\0\x01\0\0\xa4\0\0\0\x23\0\0\0\x40\x01\0\0\
\xa8\0\0\0\x23\0\0\0\x80\x01\0\0\xac\0\0\0\x23\0\0\0\xc0\x01\0\0\xb0\0\0\0\x23\
\0\0\0\0\x02\0\0\xb3\0\0\0\x23\0\0\0\x40\x02\0\0\xb6\0\0\0\x23\0\0\0\x80\x02\0\
\0\xba\0\0\0\x23\0\0\0\xc0\x02\0\0\xbe\0\0\0\x23\0\0\0\0\x03\0\0\xc2\0\0\0\x23\
\0\0\0\x40\x03\0\0\xc6\0\0\0\x23\0\0\0\x80\x03\0\0\xca\0\0\0\x23\0\0\0\xc0\x03\
\0\0\xd3\0\0\0\x23\0\0\0\0\x04\0\0\xd7\0\0\0\x23\0\0\0\x40\x04\0\0\xda\0\0\0\
\x23\0\0\0\x80\x04\0\0\xe1\0\0\0\x23\0\0\0\xc0\x04\0\0\xe5\0\0\0\x23\0\0\0\0\
\x05\0\0\xe8\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\
\xfa\0\0\0\x21\0\0\0\xfe\0\0\0\x01\0\0\x0c\x24\0\0\0\x9f\x05\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\0\xa4\
\x05\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x26\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x29\0\0\0\x04\0\0\0\x20\0\0\0\xae\x05\0\0\0\0\0\x0e\x2a\0\0\0\0\
\0\0\0\xc5\x05\0\0\x05\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\
\0\0\0\x20\0\0\0\x1c\0\0\0\0\0\0\0\x20\0\0\0\x1e\0\0\0\0\0\0\0\x20\0\0\0\x20\0\
\0\0\0\0\0\0\x20\0\0\0\xcb\x05\0\0\x01\0\0\x0f\0\0\0\0\x2b\0\0\0\0\0\0\0\x20\0\
\0\0\xd3\x05\0\0\x01\0\0\x0f\0\0\0\0\x28\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x64\x6e\x73\
\x5f\x71\x75\x65\x72\x79\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\
\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\
\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\
\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x74\x5f\x72\x65\x67\x73\0\x72\
\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x72\x62\x70\0\x72\x62\x78\
\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x72\x61\x78\0\x72\x63\x78\0\
\x72\x64\x78\0\x72\x73\x69\0\x72\x64\x69\0\x6f\x72\x69\x67\x5f\x72\x61\x78\0\
\x72\x69\x70\0\x63\x73\0\x65\x66\x6c\x61\x67\x73\0\x72\x73\x70\0\x73\x73\0\x6c\
\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\
\0\x75\x62\x70\x66\x5f\x73\x65\x6e\x64\x5f\x66\x72\x6f\x6d\0\x75\x70\x72\x6f\
\x62\x65\0\x2f\x72\x6f\x6f\x74\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\
\x2e\x32\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\
\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x64\
\x6e\x73\x6d\x61\x73\x71\x70\x72\x6f\x62\x65\x2f\x74\x72\x61\x63\x65\x5f\x64\
\x6e\x73\x6d\x61\x73\x71\x2e\x62\x70\x66\x2e\x63\0\x55\x50\x52\x4f\x42\x45\x28\
\x73\x65\x6e\x64\x5f\x66\x72\x6f\x6d\x2c\x20\x70\x74\x5f\x72\x65\x67\x73\x29\0\
\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x6c\x69\x6e\x6b\x5f\x6b\x65\x79\
\x20\x20\x20\x20\x20\x6b\x65\x79\x20\x3d\x20\x7b\x30\x7d\x3b\0\x20\x20\x20\x20\
\x73\x74\x72\x75\x63\x74\x20\x6c\x69\x6e\x6b\x5f\x76\x61\x6c\x75\x65\x20\x20\
\x20\x76\x61\x6c\x75\x65\x20\x3d\x20\x7b\x30\x7d\x3b\0\x20\x20\x20\x20\x73\x6f\
\x75\x72\x63\x65\x5f\x70\x20\x3d\x20\x28\x75\x6e\x69\x6f\x6e\x20\x61\x6c\x6c\
\x5f\x61\x64\x64\x72\x20\x2a\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\
\x4d\x36\x28\x63\x74\x78\x29\x3b\0\x20\x20\x20\x20\x74\x6f\x5f\x70\x20\x3d\x20\
\x28\x75\x6e\x69\x6f\x6e\x20\x6d\x79\x73\x6f\x63\x6b\x61\x64\x64\x72\x20\x2a\
\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x35\x28\x63\x74\x78\x29\
\x3b\0\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\
\x5f\x75\x73\x65\x72\x28\x26\x6b\x65\x79\x2e\x66\x61\x6d\x69\x6c\x79\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x73\x68\x6f\x72\x74\x29\x2c\x20\x26\x74\x6f\x5f\
\x70\x2d\x3e\x73\x61\x2e\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\x29\x3b\0\x20\x20\
\x20\x20\x73\x77\x69\x74\x63\x68\x20\x28\x6b\x65\x79\x2e\x66\x61\x6d\x69\x6c\
\x79\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x62\x70\x66\
\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x6b\
\x65\x79\x2e\x63\x5f\x61\x64\x64\x72\x2e\x69\x70\x34\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x69\x6e\x74\x29\x2c\x20\x26\x74\x6f\x5f\x70\x2d\x3e\x69\x6e\x2e\
\x73\x69\x6e\x34\x5f\x61\x64\x64\x72\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\
\x75\x73\x65\x72\x28\x26\x6b\x65\x79\x2e\x63\x5f\x70\x6f\x72\x74\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x73\x68\x6f\x72\x74\x29\x2c\x20\x26\x74\x6f\x5f\x70\
\x2d\x3e\x69\x6e\x2e\x73\x69\x6e\x5f\x70\x6f\x72\x74\x29\x3b\0\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x6b\x65\x79\x2e\x64\x6e\x73\x5f\x61\
\x64\x64\x72\x2e\x69\x70\x34\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\
\x29\x2c\x20\x26\x73\x6f\x75\x72\x63\x65\x5f\x70\x2d\x3e\x61\x64\x64\x72\x34\
\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x6b\x65\x79\
\x2e\x63\x5f\x61\x64\x64\x72\x2e\x69\x70\x36\x2c\x20\x49\x50\x36\x5f\x4c\x45\
\x4e\x2c\x20\x26\x74\x6f\x5f\x70\x2d\x3e\x69\x6e\x36\x2e\x73\x69\x6e\x36\x5f\
\x61\x64\x64\x72\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x62\
\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\
\x26\x6b\x65\x79\x2e\x63\x5f\x70\x6f\x72\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x73\x68\x6f\x72\x74\x29\x2c\x20\x26\x74\x6f\x5f\x70\x2d\x3e\x69\x6e\x36\
\x2e\x73\x69\x6e\x5f\x70\x6f\x72\x74\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\
\x75\x73\x65\x72\x28\x26\x6b\x65\x79\x2e\x64\x6e\x73\x5f\x61\x64\x64\x72\x2e\
\x69\x70\x36\x2c\x20\x49\x50\x36\x5f\x4c\x45\x4e\x2c\x20\x26\x73\x6f\x75\x72\
\x63\x65\x5f\x70\x2d\x3e\x61\x64\x64\x72\x36\x29\x3b\0\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x3d\
\x3d\x3d\x20\x69\x70\x5f\x73\x74\x72\x20\x66\x61\x6d\x69\x6c\x79\x3a\x25\x64\
\x20\x61\x62\x6e\x6f\x72\x6d\x61\x6c\x2e\x5c\x6e\x22\x2c\x20\x6b\x65\x79\x2e\
\x66\x61\x6d\x69\x6c\x79\x29\x3b\0\x20\x20\x20\x20\x76\x61\x6c\x75\x65\x2e\x70\
\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\
\x20\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x63\x6f\x6d\x6d\x28\x26\x76\x61\x6c\x75\x65\x2e\x63\x6f\x6d\x6d\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x75\x65\x2e\x63\x6f\x6d\x6d\x29\x29\
\x3b\0\x20\x20\x20\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\
\x5f\x65\x6c\x65\x6d\x28\x26\x64\x6e\x73\x5f\x71\x75\x65\x72\x79\x5f\x6c\x69\
\x6e\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x75\
\x65\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x20\x20\x20\x20\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x75\x62\x70\x66\x5f\x73\x65\x6e\x64\x5f\x66\x72\x6f\x6d\x2e\x5f\x5f\x5f\
\x5f\x66\x6d\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\
\x02\0\0\x40\x02\0\0\0\0\0\0\x08\0\0\0\x0d\x01\0\0\x01\0\0\0\0\0\0\0\x25\0\0\0\
\x10\0\0\0\x0d\x01\0\0\x22\0\0\0\0\0\0\0\x14\x01\0\0\x7e\x01\0\0\0\x7c\0\0\x08\
\0\0\0\x14\x01\0\0\x99\x01\0\0\x19\x8c\0\0\x30\0\0\0\x14\x01\0\0\xbc\x01\0\0\
\x19\x90\0\0\xc8\0\0\0\x14\x01\0\0\xe1\x01\0\0\x22\x9c\0\0\xd0\0\0\0\x14\x01\0\
\0\x16\x02\0\0\x20\x98\0\0\xd8\0\0\0\x14\x01\0\0\x49\x02\0\0\x1e\xa8\0\0\xe8\0\
\0\0\x14\x01\0\0\x49\x02\0\0\x05\xa8\0\0\0\x01\0\0\x14\x01\0\0\x93\x02\0\0\x11\
\xac\0\0\x08\x01\0\0\x14\x01\0\0\x93\x02\0\0\x05\xac\0\0\x18\x01\0\0\x14\x01\0\
\0\xad\x02\0\0\x49\xb4\0\0\x30\x01\0\0\x14\x01\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\
\x14\x01\0\0\xad\x02\0\0\x0d\xb4\0\0\x48\x01\0\0\x14\x01\0\0\x01\x03\0\0\x47\
\xb8\0\0\x50\x01\0\0\x14\x01\0\0\x01\x03\0\0\x26\xb8\0\0\x60\x01\0\0\x14\x01\0\
\0\x01\x03\0\0\x0d\xb8\0\0\x78\x01\0\0\x14\x01\0\0\x52\x03\0\0\x2f\xbc\0\0\x88\
\x01\0\0\x14\x01\0\0\x52\x03\0\0\x0d\xbc\0\0\x98\x01\0\0\x14\x01\0\0\xa5\x03\0\
\0\x3b\xc8\0\0\xb8\x01\0\0\x14\x01\0\0\xa5\x03\0\0\x0d\xc8\0\0\xc8\x01\0\0\x14\
\x01\0\0\xf6\x03\0\0\x48\xcc\0\0\xd0\x01\0\0\x14\x01\0\0\xf6\x03\0\0\x26\xcc\0\
\0\xe0\x01\0\0\x14\x01\0\0\xf6\x03\0\0\x0d\xcc\0\0\xf8\x01\0\0\x14\x01\0\0\x48\
\x04\0\0\x2f\xd0\0\0\x08\x02\0\0\x14\x01\0\0\x48\x04\0\0\x0d\xd0\0\0\x10\x02\0\
\0\x14\x01\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\x14\x01\0\0\x97\x04\0\0\x0d\xdc\0\0\
\x48\x02\0\0\x14\x01\0\0\xdf\x04\0\0\x11\xf0\0\0\x50\x02\0\0\x14\x01\0\0\xdf\
\x04\0\0\x2c\xf0\0\0\x58\x02\0\0\x14\x01\0\0\xdf\x04\0\0\x0f\xf0\0\0\x60\x02\0\
\0\x14\x01\0\0\x11\x05\0\0\x1a\xf4\0\0\x70\x02\0\0\x14\x01\0\0\x11\x05\0\0\x05\
\xf4\0\0\x88\x02\0\0\x14\x01\0\0\xdf\x04\0\0\x11\xf0\0\0\xa0\x02\0\0\x14\x01\0\
\0\x4c\x05\0\0\x05\0\x01\0\xc0\x02\0\0\x14\x01\0\0\x91\x05\0\0\x05\x08\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\0\0\x02\0\x10\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\0\0\0\0\0\x02\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd5\0\0\0\0\0\x02\0\x28\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\0\0\x02\
\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\x04\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\x11\0\x05\0\x20\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x31\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x98\0\0\0\x11\0\
\x03\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x51\0\0\0\x11\0\x05\0\x60\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\x11\0\x05\0\x80\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x7b\0\0\0\x12\0\x02\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\xa0\x02\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xdc\x04\0\0\0\0\0\
\0\0\0\0\0\x0a\0\0\0\xe8\x04\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xf4\x04\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x0c\x05\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\0\x24\x05\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x3c\x05\0\0\0\0\0\0\0\0\
\0\0\x0b\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x06\0\
\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xb0\0\
\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xd0\0\0\0\0\
\0\0\0\0\0\0\0\x06\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xf0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\x06\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\
\0\x06\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\x06\
\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x30\x02\0\0\0\0\0\0\0\0\0\0\x06\0\
\0\0\x40\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\
\0\x14\x11\x06\x10\x0e\x0f\x12\x13\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\x75\x62\x70\x66\x5f\x73\x65\x6e\x64\x5f\x66\x72\
\x6f\x6d\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x2e\x6d\x61\x70\x73\0\x64\x6e\x73\
\x5f\x71\x75\x65\x72\x79\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\0\x63\x67\x72\x70\
\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\
\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\x6f\x62\x65\
\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x75\x62\x70\x66\x5f\x73\x65\x6e\x64\
\x5f\x66\x72\x6f\x6d\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\
\x67\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\
\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x36\0\x4c\
\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x33\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x9a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbd\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x03\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\0\0\0\0\xa0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc9\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\x1f\x0b\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf7\x0e\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x58\x11\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x0d\0\0\0\x08\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\xa2\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc0\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xc5\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x12\
\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x08\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x07\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x13\0\0\0\0\0\
\0\x30\x02\0\0\0\0\0\0\x08\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x8a\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x80\x15\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x15\0\0\0\0\0\0\xea\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct trace_dnsmasq_bpf *trace_dnsmasq_bpf::open(const struct bpf_object_open_opts *opts) { return trace_dnsmasq_bpf__open_opts(opts); }
struct trace_dnsmasq_bpf *trace_dnsmasq_bpf::open_and_load() { return trace_dnsmasq_bpf__open_and_load(); }
int trace_dnsmasq_bpf::load(struct trace_dnsmasq_bpf *skel) { return trace_dnsmasq_bpf__load(skel); }
int trace_dnsmasq_bpf::attach(struct trace_dnsmasq_bpf *skel) { return trace_dnsmasq_bpf__attach(skel); }
void trace_dnsmasq_bpf::detach(struct trace_dnsmasq_bpf *skel) { trace_dnsmasq_bpf__detach(skel); }
void trace_dnsmasq_bpf::destroy(struct trace_dnsmasq_bpf *skel) { trace_dnsmasq_bpf__destroy(skel); }
const void *trace_dnsmasq_bpf::elf_bytes(size_t *sz) { return trace_dnsmasq_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
trace_dnsmasq_bpf__assert(struct trace_dnsmasq_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRACE_DNSMASQ_BPF_SKEL_H__ */
